import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useState } from "react";
import { createRoot } from 'react-dom/client';
import { Box, Button, ButtonGroup, Text } from '@primer/react';
import Jupyter from '../jupyter/Jupyter';
import Notebook from '../components/notebook/Notebook';
import CellSidebarDefault from '../components/notebook/cell/sidebar/CellSidebarDefault';
import "./../../style/index.css";
const NOTEBOOK_UID = 'notebook-path-change-id';
const PATH_1 = "ipywidgets.ipynb";
const PATH_2 = "panel.ipynb";
const NotebookModelChange = () => {
    const [path, setPath] = useState(PATH_1);
    const changePath = () => {
        path === PATH_1 ? setPath(PATH_2) : setPath(PATH_1);
    };
    return (_jsxs(_Fragment, { children: [_jsx(Box, { display: "flex", children: _jsx(ButtonGroup, { children: _jsx(Button, { variant: "default", size: "small", onClick: changePath, children: "Change Path" }) }) }), _jsx(Box, { children: _jsxs(Text, { children: ["Current path: ", path] }) }), _jsx(Notebook, { uid: NOTEBOOK_UID, path: path, CellSidebar: CellSidebarDefault })] }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Jupyter, { children: _jsx(NotebookModelChange, {}) }));
//# sourceMappingURL=NotebookPathChange.js.map